<template>
  <div class="city_photo">
    <el-image :src="src" fit="scale-down">
      <template #error>
        <div class="image-failure">No photo</div>
      </template>
    </el-image>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  name: "CityPhoto",
  props: {
    src: {
      type: String,
      required: true,
    },
  },
});
</script>

<style scoped>
.city_photo .el-image {
  padding: 0 5px;
  max-width: 300px;
  max-height: 200px;
  width: 100%;
  height: 200px;
}

.city_photo .image-failure {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  background: var(--el-fill-color-light);
  color: var(--el-text-color-secondary);
  font-size: 50px;
}
</style>
